/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenefrequencydescPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "FREQUENCYCODE")
    private short frequencycode;
    @Basic(optional = false)
    @Column(name = "LANGUAGE")
    private String language;

    public TgenefrequencydescPK() {
    }

    public TgenefrequencydescPK(short frequencycode, String language) {
        this.frequencycode = frequencycode;
        this.language = language;
    }

    public short getFrequencycode() {
        return frequencycode;
    }

    public void setFrequencycode(short frequencycode) {
        this.frequencycode = frequencycode;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) frequencycode;
        hash += (language != null ? language.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenefrequencydescPK)) {
            return false;
        }
        TgenefrequencydescPK other = (TgenefrequencydescPK) object;
        if (this.frequencycode != other.frequencycode) {
            return false;
        }
        if ((this.language == null && other.language != null) || (this.language != null && !this.language.equals(other.language))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenefrequencydescPK[ frequencycode=" + frequencycode + ", language=" + language + " ]";
    }
    
}
